Bug 1280224 - Node count doesn't get updated in step 2B during OSP deployment
Node count doesn't get updated in step 2B during OSP deployment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: John Matthews
Antonin Pagac
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-11 04:22 EST by Antonin Pagac
Modified: 2016-10-03 15:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:10:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-11-11 04:22:55 EST
Description of problem:
When deploying OSP, during step 2B, there is table with Coalescing Node Profiles displayed. It also shows number of registered nodes, but the number doesn't get updated when registering another node. I now can see two successfully registered nodes with two green bars, but in the table there is "Node Count: 1".

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151104.t.0-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20151104.t.1-RHCIOOO-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Install RHCI, start the OSP deployment
2. Proceed to step 2B, register nodes
3. Look at the table below the progress bar, the table doesn't get updated

Actual results:
The table with node count doesn't get updated after a successful node discovery

Expected results:
Table gets updated after a successful node discovery

Additional info:
When I refresh the page, I can see the table updated with correct data.
Comment 1 Jason Montleon 2015-12-18 11:47:22 EST
I believe this updates properly now after discovering nodes. Can you please confirm.
Comment 2 Antonin Pagac 2016-01-26 06:28:33 EST
Verified, the table updates as expected now.

RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.